Welcome!

JRTwine Software, LLC is proud to introduce Shareaza Cleaner, our first of many WorthWare products.

This product helps clean Shareaza search and filter history/values from your computer, making it harder for others to determine what you have been looking for.

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Introduction

Introduction to Shareaza Cleaner

Shareaza Cleaner is an application that selectively cleans your Shareaza search history, filters and recent file list. Unlike a normal "clear history" feature, Shareaza Cleaner performs surgical strikes and only removes specific values, renumbers remaining ones, and leaves the rest of the registry intact.

This is beneficial because helps you not look like you are trying to hide anything. Otherwise, someone seeing a completely empty search history while knowing that you have been using Shareaza would be able to put together that you deleted the entire history.

This is the first of hopefully many WorthWare™ products from JRTwine Software, LLC. If you like the product, please let us know! If you do not like it, or have problems with it, let us know that, too. The functionality of a software product should be driven by its users, not its developers!

PLEASE NOTE!!!

Shareaza Cleaner uses the word Shareaza in its name only as a way to identify itself as an application that works with the Shareaza P2P application.

Use of the word is not meant to imply any affiliation with or endorsement by any Sharaza developers or team members!

They have nothing to do with this app, and JRTwine Software, LLC has nothing to do with them!

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Getting Started

Getting Started With Shareaza Cleaner

To get started, simply launch the Shareaza Cleaner application.

If this is the first time you have launched it, you will be presented with a disclaimer dialog that you must click through.

This disclaimer just reaffirms that this product is not affiliated with Shareaza or the Shareaza developers/community. When the this interface first appears, it will wait 5 seconds before it enables [OK], allowing you to proceed.

You will then be presented with a Wizard that can help you through the first time configuration of Shareaza Cleaner. You do not have to use the Wizard if you do not want to. You can just click [Cancel] to leave the Wizard and do all of the configuration yourself!

Once the application has started, it will create an icon ( [image]) in the system notification area, which is also known as the tray. This is the area on the right hand side of the taskbar, where a clock and other application icons are often shown. The application will also display notifications from this icon.

To customize the behavior of the application, either double-click on the icon or right-click on it to raise its Context Menu and select Configure...

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Procedure 1

Context Menu

The Shareaza Cleaner Context Menu is the primary way to interface with the application when only its icon is available in the system notification area. To raise the menu, right-click on the Shareaza Cleaner icon. The following menu will appear:

From this menu, the following commands are available:

  • Perform Cleanup Right Now! - will immediately delete all currently configured values from your system (which may include your search history, filter values, and recent file lists, depending on Shareaza Cleaner's current configuration)
  • Configure... - will raise the Configuration Interface where you can change the behavior of the application
  • About Shareaza Cleaner - will show brief information on the application
  • About WorthWare - will bring you to the JRTwine Software, LLC WorthWare page, which gives information on the WorthWare approach we are taking with some of our products, like Shareaza Cleaner
  • Exit - exits the application

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Regular Expressions

Rather than try to explain what has already been explained multiple times on the Internet, here are some useful links on Regular Expressions: Wikipedia, Microsoft (this is the syntax being used!), and Regular-Expressions.info.


First Time Wizard

This wizard is shown the first time you launch Shareaza Cleaner and guides you through the setup of a basic configuration.

You can press [Cancel] at any time to cancel the wizard and go about configuring things yourself.

The wizard will guide you through setting up a basic configuration so that Shareaza Cleaner can be immediately useful to you. The first real page where you can set things up can be accessed by clicking [Next].

This page allows you to quickly set up substring matches. A substring match will match a value if the value contains the substring. In the above example, Beiber is a substring and it would match values such as Beiber Rocks, and IWantBieber.

On this page there is an additional button near the bottom right of the list of substring values. This button allows you to import the entire set of search and filter history that is currently stored in the registry, allowing you to quickly set up matches to remove values of interest.

The following two pages of the wizard allow you to setup starts with and ends with matches. These types of matches work exactly like they sound - they configure matches that match values if the value starts with or ends with the configured string, respectively.

The last page provides access to some basic settings, and sets up sensible defaults.

To complete the wizard, click [Next] on this page and then [Finish].


Procedure 2

Configuration Interface

This section discusses the configuration interface.

The configuration interface is what you will use to set the desired behavior of the Shareaza Cleaner application.

The middle of the interface contains an area of selectable "sections" that can be changed by the four buttons on the right hand size of the area:

These four buttons will navigate you through the Standard Settings, Automatic Cleaning Settings, Logging Settings, and Custom Cleaning Settings (which are not yet available in this version of Shareaza Cleaner).

The Perform Cleanup Right Now! button allows you to perform an immediate cleanup operation that will clean the selected items. Also available from this button is a drop-down arrow that provides a preview feature. It simulates a cleanup operation and shows you the values that would be cleaned.

The Close button hides the configuration interface, and the help button on the lower right hand side raises the About box for the application.

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Standard Settings

Standard Settings Interface

This interface provides you with some basic settings available in the Shareaza Cleaner application. These settings allow you to specify what stuff is cleaned when you activate the cleanup function of the application. The currently available settings are:

  • Clean Filter History - sets or removes the option to have Shareaza's Filter History cleaned
  • Clean Search History - sets or removes the option to have Shareaza's Search History cleaned
  • Clean Recent File List - sets or removes the option to have Shareaza's Recent file History cleaned
  • Show Alerts For Automatic Cleaning Operations - sets or removes the option to have the application show you an alert when automatic cleaning operations take place.


Automatic Cleaning Settings

Automatic Cleaning Settings Interface

This interface provides you with a way to configure the automatic cleaning feature of the application. This feature allows you to leave Shareaza Cleaner running in the background where it will perform cleaning operations at regular intervals, which you specify in minutes.

You can also set an option that defers automatic cleaning operations while Shareaza is running. This allows you to continue to use Shareaza without your recently-typed searches and filters disappearing on you.

It can also be configured to always perform cleanup operations, or only do them while Shareaza is running.

Note that Shareaza will pickup any changes to the search history even while it is running, so it is a good idea to leave this option selected.


Logging Settings

Logging Settings Interface

This interface provides you with a way to adjust the logging settings. Normally, the application will create a new log file each time it starts. This log file will normally be stored in the same directory where Shareaza Cleaner is installed.

Depending on the Log Level that is set, certain information will or will not be written to the log.

We recommend that during initial setup or troubleshooting of the application, you set the Log Level to Verbose. This will produce detailed logging which may be useful if you run into problems. The normal logging level is Warning, which should normally be used when everything is running smoothly.

You can also disable all logging, which will prevent the logging of Shareaza Cleaner's activity to the log file. This can be useful if you do not want records of cleanup activity.

If you want the log file to be in a different location, you can specify a new location and file for the log by clicking the folder button and selecting a new location for the log.


Custom Cleaning Settings

Custom Cleaning Settings Interface

This interface allows you to configure the Custom Cleaning Settings. These settings allow you to specify which values are selectively deleted from the Search and Filter history.

This is useful because instead of deleting all entries, which can look suspicious, it deletes specific entries and renumbers the remaining ones so that everything looks normal.

Clicking the [Specify the Values That Will be Cleaned...] button will raise the Clean Value Expressions


Clean Value Expressions

This interface shows all currently configured regular expressions that will be used when cleaning takes place. The buttons on the right allow you to Add, Delete, Edit and Test Regular Expressions.


Regular Expression Builder

This interface is used to help you construct desired Regular Expressions. This interface validates the entered expression in real time (actually, about .5 seconds after you stop typing), and will not let you test or save an invalid expression.

Examples of common expressions are shown in the dialog as an aid to creating them.

The button embedded in the Expression control allows you to test the expression against the current search and filter values in the registry using the Regular Expression Tester interface.


Regular Expression Tester

This interface helps you verify that a Regular Expression is going to work as you intend it to. Values that match the Regular Expression being tested will have a little red icon ( [image]) next to them. this indicates that this value would be cleaned if the specified Regular Expression is used.

When raised from the Regular Expression Builder interface, this interface enables an additional feature available from the drop arrow on [Close].

This additional command takes the selected item and constructs a substring Regular Expression for you, making it even easier to add/edit expressions.


Procedure 1a

Troubleshooting Shareaza Cleaner

First step for troubleshooting Shareaza Cleaner, especially if you are having problems with automatic cleaning, is to perform a manual cleanup operation. This will cause cleaning errors to be displayed to you as opposed to automatic cleaning, which will only log them to the log file if logging is enabled).

The errors shown should help you identify the problem(s).

If you are getting Access Denied errors, it may be that you do not have enough rights to manipulate the registry to remove the data.

If you are getting errors about missing registry keys you may be running an unsupported version of the application. Check the knowledge base on our support web site to make sure that you are using the correct version of the application with the correct version of Sharaza.

If you want to reset your configuration, launch Shareaza Cleaner and hold down the left <Ctrl> key until after the splash screen vanishes. This will reset your configuration, causing you to click-through the disclaimer and will present the First Time Wizard to you again.

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Information

About JRTwine Software, LLC

Company Information

JRTwine Software is a privately held Limited Liability Company (LLC) organized in, and registered with, the state of New Hampshire.

The company was first organized in 2002, for the purposes of retail/commercial software development. In time we also expanded our services to include software development consulting and contract work.

Throughout the years we have gained access to many highly-experienced software developers, designers and architects that can tackle any size task, ranging from a simple console application, to data modeling and logical design of a database, to the architecture and design of a scalable n-tiered client/server system.

We are an engineering company that uses engineers to get the job done. You will never here any of us utter management-speak like: "Hey! I used to be an engineer!" We ARE engineers - it's what we do, and it's what we do well.

Contact Information

Fax:

+1 603-816-1978

Email:

custserv@jrtwine.com -- (not for support, use the support website below!)

http://support.jrtwine.com

Copyright © 2012-2013 JRTwine Software, LLC

http://www.jrtwine.com


Glossary

Full-text Search
The ability to search an entire Help system for a particular word or keyword.
Hard disk capacity
The amount of memory available on a PC fixed media storage device, usually measured in Mega (million) bytes (Mb) of memory.
HTML
Hypertext Markup Language. A set of tags used to mark the structural elements of text files. HTML files include tags that create hyperlinks to other documents on the Internet.
HTTP
Hypertext Transfer Protocol. The communications protocol on which the Web is based. HTTP sets rules for how information is passed between the server and the browser software.
Icon
A picture or symbol that represents an object, task, command, or choice users can select by pointing and clicking with a mouse.
Index
A list of keywords the user may view to find topics within a Help system.
Memory
The part of a computer that stores information or instructions. Memory can be RAM (Random Access Memory) or ROM (Read Only Memory), and is usually measured in Kilobytes (thousand) or Megabytes (million) bytes of memory.
Newsgroup
A collection of messages posted by individuals to a news server (a computer maintained by a company, group, or individual). Newsgroups exist on practically every subject. Messages can be posted and read by anyone who has access to that group.
Page
An individual topic within a Help system.
Pane
A frame used to display program components.
Tour
Screen shots and information about a product displayed in sequential order. Designed for a user who wants to walk through a feature or a program.
URL
Uniform Resource Locator. An Internet address, as well as a standard method of naming files on the Web. A URL begins with a protocol name (such as http), followed by a colon and two forward slashes(//). Next comes the name of the internet server that the file is stored on, followed by directories that hold the file, separated by forward slashes(/). The filename comes last, as shown in the following example: http://www.mycompany.com/whatsnew.htm
Web browser
Commonly called a browser. A software application for displaying HTML pages on the World Wide Web. Common browser applications include Microsoft Internet Explorer and Netscape Navigator.
WWW
World Wide Web. The graphical Internet hypertext service that uses the HTTP protocol to retrieve Web pages and other resources from Web servers.
WYSIWYG
(What You See Is What You Get). A development option that allows you to view items in the editor as they will display for end-users.